hpp-corbaserver: hpp::corbaServer::ServerPlugin Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::corbaServer::ServerPlugin Class Referenceabstract

`#include <hpp/corbaserver/server-plugin.hh>`

Inheritance diagram for hpp::corbaServer::ServerPlugin:
[legend]
Collaboration diagram for hpp::corbaServer::ServerPlugin:
[legend]

## Public Member Functions
virtual | ~ServerPlugin ()
virtual void | startCorbaServer (const std::string &contextId, const std::string &contextKind)=0
| Start corba server.
virtual std::string | name () const =0
virtual ::CORBA::Object_ptr | servant (const std::string &name) const =0
Server * | parent ()
core::ProblemSolverPtr_t | problemSolver () const
ProblemSolverMapPtr_t | problemSolverMap () const
void | setProblemSolverMap (ProblemSolverMapPtr_t psMap)
| Set planner that will be controlled by server.

## Protected Member Functions
| ServerPlugin (Server *parent)
template<typename T >
void | initializeTplServer (corba::Server< T > *&server, const std::string &contextId, const std::string &contextKind, const std::string &objectId, const std::string &objectKind)

## Protected Attributes
Server * | parent_
ProblemSolverMapPtr_t | problemSolverMap_

## Constructor & Destructor Documentation

## ◆ ~ServerPlugin()

virtual hpp::corbaServer::ServerPlugin::~ServerPlugin | ( |  | ) |
| inline virtual

## ◆ ServerPlugin()

hpp::corbaServer::ServerPlugin::ServerPlugin | ( | Server * | parent | ) |
| inline protected

## Member Function Documentation

## ◆ initializeTplServer()

template<typename T >

void hpp::corbaServer::ServerPlugin::initializeTplServer | ( | corba::Server< T > *& | server,
|  | const std::string & | contextId,
|  | const std::string & | contextKind,
|  | const std::string & | objectId,
|  | const std::string & | objectKind
| ) |  |
| inline protected

## ◆ name()

virtual std::string hpp::corbaServer::ServerPlugin::name | ( |  | ) | const
| pure virtual

Implemented in hpp::corbaServer::BasicServer.

## ◆ parent()

Server * hpp::corbaServer::ServerPlugin::parent | ( |  | ) |
| inline

## ◆ problemSolver()

core::ProblemSolverPtr_t hpp::corbaServer::ServerPlugin::problemSolver | ( |  | ) | const
| inline

## ◆ problemSolverMap()

ProblemSolverMapPtr_t hpp::corbaServer::ServerPlugin::problemSolverMap | ( |  | ) | const
| inline

## ◆ servant()

virtual ::CORBA::Object_ptr hpp::corbaServer::ServerPlugin::servant | ( | const std::string & | name | ) | const
| pure virtual

Implemented in hpp::corbaServer::BasicServer.

## ◆ setProblemSolverMap()

void hpp::corbaServer::ServerPlugin::setProblemSolverMap | ( | ProblemSolverMapPtr_t | psMap | ) |
| inline

Set planner that will be controlled by server.

## ◆ startCorbaServer()

virtual void hpp::corbaServer::ServerPlugin::startCorbaServer | ( | const std::string & | contextId,
|  | const std::string & | contextKind
| ) |  |
| pure virtual

Start corba server.

Implemented in hpp::corbaServer::BasicServer.

## Member Data Documentation

## ◆ parent_

Server* hpp::corbaServer::ServerPlugin::parent_
| protected

## ◆ problemSolverMap_

ProblemSolverMapPtr_t hpp::corbaServer::ServerPlugin::problemSolverMap_
| protected

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/server-plugin.hh